package com.hzya.frame.plugin.lets.plugin.transfer;

import com.hzya.frame.WebappApplication;
import com.hzya.frame.plugin.lets.plugin.adjust.*;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = WebappApplication.class)
public class TransferTest {
//    @Autowired
//    private TransferPluginInitializer transferPluginInitializer;

    @Autowired
    private TransferInPluginInitializer transferInPluginInitializer;
    @Autowired
    private TransferOutPluginInitializer transferOutPluginInitializer;
    @Autowired
    private AdjustInPluginInitializer adjustInPluginInitializer;
    @Autowired
    private AdjustOutPluginInitializer adjustOutPluginInitializer;
    @Autowired
    private AdjustInZZPluginInitializer adjustInZZPluginInitializerm;
    @Autowired
    private OtherOutPluginInitializer otherOutPluginInitializer;
    @Autowired
    private OtherInPluginInitializer otherInPluginInitializer;

    ////////////////////////////////////////////////////////////////////////////////////调拨订单
//    @Test
//    public void t00(){
//        transferPluginInitializer.start();
//    }
//    @Test
//    public void t01(){
//        transferPluginInitializer.start("LETS-TH2024080800000002");
//    }



    ////////////////////////////////////////////////////////////////////////////////////调拨出库单

    @Test
    public void t10(){
        transferOutPluginInitializer.start("LETS-SH2024090400000005");
    }

    @Test
    public void t11(){
        transferOutPluginInitializer.start("2024-08-06","2024-08-11");
    }
    @Test
    public void t12() throws Exception {
        transferOutPluginInitializer.queryOfsTransderOrder("LETS-TH2024082700000002");
    }

    ////////////////////////////////////////////////////////////////////////////////////调拨入库单
    @Test
    public void t20(){
        transferInPluginInitializer.start();
    }
    @Test
    public void t21(){
        transferInPluginInitializer.start("LETS-RE2024090400000004");
    }




    ////////////////////////////////////////////////////////////////////////////////////调整入库单
    @Test
    public void t30(){
        adjustInPluginInitializer.start();
    }
    @Test
    public void t31(){
//        adjustInPluginInitializer.start("LETS-RE2024091100000001");
        adjustInPluginInitializer.start("LETS-RE2024091100000002");
    }
    @Test
    public void t32(){
        adjustInPluginInitializer.start("2024-08-14","2024-08-20");
    }

    ////////////////////////////////////////////////////////////////////////////////////调整出库单
    @Test
    public void t40(){
        adjustOutPluginInitializer.start();
    }
    @Test
    public void t41(){
        adjustOutPluginInitializer.start("LETS-SH2024090400000005");
    }
    @Test
    public void t42(){
        adjustOutPluginInitializer.start("2024-09-11","2024-09-11");
    }

    @Test
    public void t43() throws Exception {
        adjustOutPluginInitializer.queryOfsAdjustOrders("LETS-AH2024082200000001");
    }

    ////////////////////////////////////////////////////////////////////////////////////组装单
    @Test
    public void t50(){
        adjustInZZPluginInitializerm.start("LETS-RE2024091200000002");
    }
    ////////////////////////////////////////////////////////////////////////////////////组装单


    ////////////////////////////////////////////////////////////////////////////////////出库审核
    @Test
    public void t60(){
        otherOutPluginInitializer.start("TC2409130006");
    }
    ////////////////////////////////////////////////////////////////////////////////////出库审核
    ////////////////////////////////////////////////////////////////////////////////////入库审核
    @Test
    public void t70(){
        otherInPluginInitializer.start("TR2409130007");
    }
    ////////////////////////////////////////////////////////////////////////////////////入库审核
}
